%define name	kmobiletools
%define version 0.4.3.1	
%define release 2mdk
%define __libtoolize /bin/true
%define __cputoolize /bin/true

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Kde tools to manage mobile phone
Summary(fr):    Un outils kde pour les tlphones portables
License:        GPL
Group:		Graphical desktop/KDE
Source:	 	http://download.berlios.de/kmobiletools/%{name}-%{version}.tar.bz2
Source10: 	%name-16.png
Source11: 	%name-32.png
Source12: 	%name-48.png
URL:		http://kmobiletools.berlios.de/
BuildRequires:  kdelibs-devel
BuildRequires:  expat-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires: bluez

%description
KMobileTools is a nice KDE-based application that allows 
to control mobile phones with your PC.
It handles full SMS control, dialing calls, 
reading from phonebook, last dials, 
received and unanswered calls 
and phone status monitoring (battery and signal for now).
It's based on a Motorola C350 mobile phone, 
but's also tested on some Nokia and Ericsson phones.

%prep
rm -rf %{buildroot}

%setup -q -n%{name}-%{version}

%build

%configure --disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

%makeinstall_std
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png

perl -pi -e "s|Name=kmobiletools|Name=Kmobiletools|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop

kdedesktop2mdkmenu.pl %name "More Applications/Communications" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name

%find_lang %name

cat > $RPM_BUILD_DIR/%{name}-%{version}/README.urpmi << EOF
If you want to learn about phone conection take a look at 
http://kmobiletools.berlios.de/ You can contact the author of KMobileTools 
to get help or give feedback.
Point your irc client to #kmobiletools on irc.freenode.net

For a Bluetooth connection:
type as root 

[root@MobileTuX]# service bluetooth start

[plouf@MobileTuX]$ sdptool browse

note the phone MAC adress and

[root@MobileTuX]# rfcomm connect 0 00:0e:07:72:05:99 1

go to to kmobiletools configuration interface

and set phone mount point to /dev/rfcommO

and have fun 




Si vous voulez en savoir plus sur comment connecter votre tlphone mobile 
 kmobiletools vous pouvez trouver de l'aide (en anglais) sur le forum de kmobiletools http://kmobiletools.berlios.de/ ou bien contacter le developpeur
sur irc canal #kmobiletools sur le serveur irc.freenode.net
Pour une connection Bluetooth

Dans une console en tant que root taper

[root@MobileTuX]# service bluetooth start

[plouf@MobileTuX]$ sdptool browse

noter l'adresse MAC du tlphone

[root@MobileTuX]# rfcomm connect 0 00:0e:07:72:05:99 1

ouvrez l'interface de configuration de kmobiletools

et mettez le point de montage du tlphone  /dev/rfcommO

EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING INDEX TODO VERSION AUTHORS README README.urpmi
%{_menudir}/%{name}
%attr(0755,root,root) %{_bindir}/*
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/*
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Sun Apr 10 2005 Sebastien Savarin <plouf@mandrake.org> 0.4.3.1-2mdk
- Fix buildRequires

* Mon Mar 21 2005 Sebastien Savarin <plouf@mandrake.org> 0.4.3.1-1mdk
- New release 0.4.3.1

* Mon Mar 21 2005 Sebastien Savarin <plouf@mandrake.org> 0.4.3-1mdk
- New release 0.4.3

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-0.beta2.1mdk
- 0.4.3 beta2

* Sat Feb 05 2005 Couriousous <couriousous@mandrake.org> 0.4.2-1mdk
- From: Sebastien Savarin <plouf@zarb.org> 
	- first release

